#ifndef VDR_PERL_CALLBACK_H
#define VDR_PERL_CALLBACK_H

#include "comm.h"
#include <stdlib.h>
#include <string.h>

class cPerlCallbackBase: public cPerlComm {
private:
	char *mName;

public:
	cPerlCallbackBase(FILE *Pipe, const char *Name);
	virtual ~cPerlCallbackBase();

	const char *Name(void) const { return mName; }
};

#endif // VDR_PERL_CALLBACK_H
